Bug 10682 - wrong codepage handling
: wrong codepage handling
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/pyicq-t)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-01-18 19:18 by
Modified: 2008-08-02 04:05 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-01-18 19:18:16
на гейте pyicq-t иногда встречается неверная перекодировка текста сообщений,
которые приходят от разных клиентов и их невозможно прочитать.

СтОит проверить, в сизифном пакете есть ли такое:

[19:21]<timur> Нашел я проблему в PyICQ. Там в  glue.LegacyConnection ::
sendMessage неправильно вычисляется переменная charset (остаётся в дефолтном
значении 'iso-8859-1'), поскольку в capabilities для этого UIN нету 'unicode'.
А
вот почему его нету и должен ли он там быть и почему я не знаю пока.
[19:26]<timur> Пока что я просто прохачил там 'windows-1251' по дефолту. Пока
работает. Посмотрю дальше как это можно по-людски сделать

вероятно, это может исправить проблему.
Ну, и в апстриме поглядеть - как там сейчас..
------- Comment #1 From 2007-03-18 13:45:43 -------
В нашем пакете это исправлено очень давно. Уже чуть ли не полгода назад :)
Новых версий апстрима с тех пор не было. Допилить поддержку кодировок, думаю,
вполне реально, но для этого нужна помощь кого-нибудь кто умеет писать на
Python
(надо вставить вывод отладочного лога везде где мы работаем с кодировками,
тогда
получится отследить где проблемы возникают).
------- Comment #2 From 2007-03-18 23:44:07 -------
а если найдется желающий, то как он найдет эту багу, если она resolved, invalid
?
впрочем, если вы уверены, что "в нашем пакете проблемы нет", то и ладно.
------- Comment #3 From 2007-03-19 15:58:35 -------
Таки проблема существует.
Правда я не встречал неправильно перекодированных сообщений, но вот статус-
сообщения - постоянно.
Хотя нет. Встречал. Зачастую сообщения отправленные мне в оффлайн приходят 
кривыми. Кто в данном случае виноват (pyicq-t ли) - не знаю.
Поэтому закрывать баг рановато.
Кстати у меня такое ощущение, что от апстрима можно очень долго ждать 
исправлений. Мне даже почему-то кажется, что у них этих проблем не бывает.
На 100% не уверен, но мне кажется что "разнокодированные" статус-сообщения 
приходят только от qip
------- Comment #4 From 2008-03-23 01:59:47 -------
Используйте jabber-pyicq, а этот пакет мертв.